PrivMX Endpoint v2.7.0
Loading...
Searching...
No Matches
privmx::endpoint::core::PagingQuery Struct Reference

#include <privmx/endpoint/core/Types.hpp>

Public Attributes

int64_t skip
int64_t limit
std::string sortOrder
std::optional< std::string > lastId
std::optional< std::string > sortBy
std::optional< std::string > queryAsJson

Detailed Description

Contains query parameters for methods returning lists (PagingList).

Member Data Documentation

◆ lastId

std::optional<std::string> privmx::endpoint::core::PagingQuery::lastId

ID of the element from which query results should start

◆ limit

int64_t privmx::endpoint::core::PagingQuery::limit

limit of elements to return for query

◆ queryAsJson

std::optional<std::string> privmx::endpoint::core::PagingQuery::queryAsJson

extra query parameters in serialized JSON

◆ skip

int64_t privmx::endpoint::core::PagingQuery::skip

number of elements to skip from result

◆ sortBy

std::optional<std::string> privmx::endpoint::core::PagingQuery::sortBy

field name to sort elements by

◆ sortOrder

std::string privmx::endpoint::core::PagingQuery::sortOrder

order of elements in result ("asc" for ascending, "desc" for descending)


The documentation for this struct was generated from the following file: